# PasswordCredentials

interface PasswordCredentials : PasswordCredentials

A username/password credentials that can be used to login to password-protected remote repository.

## Functions

getPassword
Link copied to clipboard
@Nullable
abstract fun getPassword(): @Nullable String
Returns the password to use when authenticating to this repository.
getUsername
Link copied to clipboard
@Nullable
abstract fun getUsername(): @Nullable String
Returns the user name to use when authenticating to this repository.
setPassword
Link copied to clipboard
abstract fun setPassword(@Nullable password: @Nullable String)
Sets the password to use when authenticating to this repository.
setUsername
Link copied to clipboard
abstract fun setUsername(@Nullable userName: @Nullable String)
Sets the user name to use when authenticating to this repository.